AI Model APIVideosKling format
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.
Get Kling Image-to-Video Task Status
Query the status and results of a Kling image-to-video task.
AuthorizationBearer <token>
Authenticate with a Bearer token.
Format: Authorization: Bearer sk-xxxxxx
In: header
Path Parameters
task_idstring
Task ID
Response Body
application/json
application/json
curl -X GET "https://api.beeaicloud.com/kling/v1/videos/image2video/string"{
"task_id": "abcd1234efgh",
"status": "completed",
"url": "https://example.com/video.mp4",
"format": "mp4",
"metadata": {
"duration": 5,
"fps": 30,
"width": 1280,
"height": 720,
"seed": 20231234
},
"error": {
"code": 0,
"message": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}How is this guide?